Package org.opensaml.saml.saml1.core.impl

# Class SubjectConfirmationImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.SubjectConfirmationImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SubjectConfirmation`

public class SubjectConfirmationImpl extends AbstractXMLObject implements SubjectConfirmation
Concrete implementation of `SubjectConfirmation`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<ConfirmationMethod>`
`confirmationMethods`
Contains the list of ConfirmationMethods.
`private KeyInfo`
`keyInfo`
Contains the KeyInfo element.
`private XMLObject`
`subjectConfirmationData`
Contains the SubjectConfirmationData element.

### Fields inherited from interface org.opensaml.saml.saml1.core.SubjectConfirmation

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubjectConfirmationImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<ConfirmationMethod>`
`getConfirmationMethods()`
Get a mutable list of all the ConfirmationMethods.
`KeyInfo`
`getKeyInfo()`
Gets the key information for the subject.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`XMLObject`
`getSubjectConfirmationData()`
Get the SubjectConfirmationData.
`void`
`setKeyInfo(KeyInfo info)`
Sets the key information for the subject.
`void`
`setSubjectConfirmationData(XMLObject data)`
Set the SubjectConfirmationData.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### confirmationMethods

@Nonnull private final XMLObjectChildrenList<ConfirmationMethod> confirmationMethods
Contains the list of ConfirmationMethods.

### subjectConfirmationData

@Nullable private XMLObject subjectConfirmationData
Contains the SubjectConfirmationData element.

### keyInfo

@Nullable private KeyInfo keyInfo
Contains the KeyInfo element.

## Constructor Details

### SubjectConfirmationImpl

protected SubjectConfirmationImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getConfirmationMethods

@Nonnull @Live public List<ConfirmationMethod> getConfirmationMethods()
Get a mutable list of all the ConfirmationMethods.

Specified by:
  `getConfirmationMethods` in interface `SubjectConfirmation`
Returns:
  mutable list of ConfirmationMethods.

### getSubjectConfirmationData

@Nullable public XMLObject getSubjectConfirmationData()
Get the SubjectConfirmationData.

Specified by:
  `getSubjectConfirmationData` in interface `SubjectConfirmation`
Returns:
  the SubjectConfirmationData

### setSubjectConfirmationData

public void setSubjectConfirmationData(@Nullable XMLObject data)
Set the SubjectConfirmationData.

Specified by:
  `setSubjectConfirmationData` in interface `SubjectConfirmation`
Parameters:
  `data` - data to set

### getKeyInfo

@Nullable public KeyInfo getKeyInfo()
Gets the key information for the subject.

Specified by:
  `getKeyInfo` in interface `SubjectConfirmation`
Returns:
  the key information for the subject

### setKeyInfo

public void setKeyInfo(@Nullable KeyInfo info)
Sets the key information for the subject.

Specified by:
  `setKeyInfo` in interface `SubjectConfirmation`
Parameters:
  `info` - the key information for the subject

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements